MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024548Open CASCADE[OCCT] OCCT:Samplespublic2014-01-21 12:262014-11-12 09:51
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024548: Ray Tracing mode not available in MFC samples
DescriptionIt makes sense to implement support for ray tracing rendering in OCCT MFC samples similarly to Qt samples (see 0024479).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024479closedbugmaster Ray Tracing mode does not work in Qt IE sample 

-  Notes
(0033899)
git (administrator)
2014-10-30 17:03

Branch CR24548 has been created by ski.

SHA-1: 6665a633eb32eec6c26a6ff4605772a863f31864


Detailed log of new commits:

Author: ski
Date: Thu Oct 30 16:03:24 2014 +0300

    0024548: Ray Tracing mode not available in MFC samples
    
    Ray tracing functionality was added to OCCT MFC samples.
(0033900)
apn (administrator)
2014-10-30 17:06

Ray tracing functionality was added to OCCT MFC samples (only in samples using 3d Viewers)
(0033924)
abv (manager)
2014-10-31 10:55

Reviewed and checked on vc10 x64 Release, please integrate
(0033979)
bugmaster (administrator)
2014-10-31 17:45
edited on: 2014-10-31 17:45

Fix has been tested including building with VS 2005.
Problems were not detected

(0034289)
git (administrator)
2014-11-12 09:51

Branch CR24548 has been deleted by inv.

SHA-1: 6665a633eb32eec6c26a6ff4605772a863f31864

- Related Changesets
occt: master 2c5b6d9c
Timestamp: 2014-10-30 13:03:24
Author: ski
Committer: bugmaster
Details ] Diff ]
0024548: Ray Tracing mode not available in MFC samples

Ray tracing functionality was added to OCCT MFC samples.
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.h Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dChildFrame.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dChildFrame.h Diff ] File ]
mod - samples/mfc/standard/Common/res/OCC_Resource.h Diff ] File ]
mod - samples/mfc/standard/Common/res/OCC_Resource.rc Diff ] File ]
add - samples/mfc/standard/Common/res/ToolbarRayTracing.bmp Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-21 12:26 san New Issue
2014-01-21 12:26 san Assigned To => bugmaster
2014-01-21 12:26 san Relationship added related to 0024479
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-10-17 03:10 abv Assigned To bugmaster => apn
2014-10-17 03:10 abv Status new => assigned
2014-10-30 17:03 git Note Added: 0033899
2014-10-30 17:06 apn Note Added: 0033900
2014-10-30 17:06 apn Test case number => Not needed
2014-10-30 17:06 apn Assigned To apn => abv
2014-10-30 17:06 apn Status assigned => resolved
2014-10-31 10:55 abv Note Added: 0033924
2014-10-31 10:55 abv Assigned To abv => bugmaster
2014-10-31 10:55 abv Status resolved => reviewed
2014-10-31 17:45 bugmaster Note Added: 0033979
2014-10-31 17:45 bugmaster Status reviewed => tested
2014-10-31 17:45 bugmaster Note Edited: 0033979 View Revisions
2014-11-06 15:18 bugmaster Changeset attached => occt master 2c5b6d9c
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:51 git Note Added: 0034289


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker